@ECHO OFF

if %MOZ_SDK%.==. goto noSDKPath

echo Generating header(s) ...
%MOZ_SDK%\xpcom\bin\xpidl -m header -I%MOZ_SDK%\xpcom\idl nsIHXPlayer.idl
echo Generating typelib(s) ...
%MOZ_SDK%\xpcom\bin\xpidl -m typelib -I%MOZ_SDK%\xpcom\idl nsIHXPlayer.idl

goto finish

:noSDKPath
echo *error* MOZ_SDK is not set

:finish
echo done
